# encoding: utf-8

# This file is autogenerated. Do not edit it manually.
# If you want change the content of this file, edit
#
#   /spec/fixtures/responses/whois.comlaude.com/status_registered.expected
#
# and regenerate the tests with the following rake task
#
#   $ rake spec:generate
#

require 'spec_helper'
require 'whois/record/parser/whois.comlaude.com.rb'

describe Whois::Record::Parser::WhoisComlaudeCom, "status_registered.expected" do

  subject do
    file = fixture("responses", "whois.comlaude.com/status_registered.txt")
    part = Whois::Record::Part.new(:body => File.read(file))
    described_class.new(part)
  end

  describe "#status" do
    it do
      lambda { subject.status }.should raise_error(Whois::AttributeNotSupported)
    end
  end
  describe "#available?" do
    it do
      subject.available?.should == false
    end
  end
  describe "#registered?" do
    it do
      subject.registered?.should == true
    end
  end
  describe "#created_on" do
    it do
      subject.created_on.should be_a(Time)
      subject.created_on.should == Time.parse("2005-01-30")
    end
  end
  describe "#updated_on" do
    it do
      lambda { subject.updated_on }.should raise_error(Whois::AttributeNotSupported)
    end
  end
  describe "#expires_on" do
    it do
      subject.expires_on.should be_a(Time)
      subject.expires_on.should == Time.parse("2020-01-30")
    end
  end
  describe "#registrar" do
    it do
      subject.registrar.should be_a(Whois::Record::Registrar)
      subject.registrar.id.should           == nil
      subject.registrar.name.should         == "NOM IQ LTD (DBA COM LAUDE)"
      subject.registrar.url.should          == "http://www.comlaude.com"
    end
  end
  describe "#registrant_contacts" do
    it do
      subject.registrant_contacts.should be_a(Array)
      subject.registrant_contacts.should have(1).items
      subject.registrant_contacts[0].should be_a(Whois::Record::Contact)
      subject.registrant_contacts[0].type.should         == Whois::Record::Contact::TYPE_REGISTRANT
      subject.registrant_contacts[0].name.should         == "Domain Manager"
      subject.registrant_contacts[0].organization.should == "Nom-IQ Ltd dba Com Laude"
      subject.registrant_contacts[0].address.should      == nil
      subject.registrant_contacts[0].city.should         == nil
      subject.registrant_contacts[0].zip.should          == nil
      subject.registrant_contacts[0].state.should        == nil
      subject.registrant_contacts[0].country.should      == nil
      subject.registrant_contacts[0].phone.should        == "+44.2078360070"
      subject.registrant_contacts[0].fax.should          == nil
      subject.registrant_contacts[0].email.should        == "admin@comlaude.com"
    end
  end
  describe "#admin_contacts" do
    it do
      subject.admin_contacts.should be_a(Array)
      subject.admin_contacts.should have(1).items
      subject.admin_contacts[0].should be_a(Whois::Record::Contact)
      subject.admin_contacts[0].type.should         == Whois::Record::Contact::TYPE_ADMIN
      subject.admin_contacts[0].name.should         == "Domain Manager"
      subject.admin_contacts[0].organization.should == "Nom-IQ Ltd dba Com Laude"
      subject.admin_contacts[0].address.should      == nil
      subject.admin_contacts[0].city.should         == nil
      subject.admin_contacts[0].zip.should          == nil
      subject.admin_contacts[0].state.should        == nil
      subject.admin_contacts[0].country.should      == nil
      subject.admin_contacts[0].phone.should        == "+44.2078360070"
      subject.admin_contacts[0].fax.should          == nil
      subject.admin_contacts[0].email.should        == "admin@comlaude.com"
    end
  end
  describe "#technical_contacts" do
    it do
      subject.technical_contacts.should be_a(Array)
      subject.technical_contacts.should have(1).items
      subject.technical_contacts[0].should be_a(Whois::Record::Contact)
      subject.technical_contacts[0].type.should         == Whois::Record::Contact::TYPE_TECHNICAL
      subject.technical_contacts[0].name.should         == "Technical Manager"
      subject.technical_contacts[0].organization.should == "Com Laude"
      subject.technical_contacts[0].address.should      == nil
      subject.technical_contacts[0].city.should         == nil
      subject.technical_contacts[0].zip.should          == nil
      subject.technical_contacts[0].state.should        == nil
      subject.technical_contacts[0].country.should      == nil
      subject.technical_contacts[0].phone.should        == "+44.2074218250"
      subject.technical_contacts[0].fax.should          == "+44.8700118187"
      subject.technical_contacts[0].email.should        == "hostmaster@comlaude.com"
    end
  end
  describe "#nameservers" do
    it do
      subject.nameservers.should be_a(Array)
      subject.nameservers.should have(4).items
      subject.nameservers[0].should be_a(Whois::Record::Nameserver)
      subject.nameservers[0].name.should == "dns1.comlaude-dns.com"
      subject.nameservers[1].should be_a(Whois::Record::Nameserver)
      subject.nameservers[1].name.should == "dns2.comlaude-dns.net"
      subject.nameservers[2].should be_a(Whois::Record::Nameserver)
      subject.nameservers[2].name.should == "dns3.comlaude-dns.co.uk"
      subject.nameservers[3].should be_a(Whois::Record::Nameserver)
      subject.nameservers[3].name.should == "dns4.comlaude-dns.eu"
    end
  end
end
