# encoding: utf-8

# This file is autogenerated. Do not edit it manually.
# If you want change the content of this file, edit
#
#   /spec/fixtures/responses/whois.dotmobiregistry.net/status_registered.expected
#
# and regenerate the tests with the following rake task
#
#   $ rake spec:generate
#

require 'spec_helper'
require 'whois/record/parser/whois.dotmobiregistry.net.rb'

describe Whois::Record::Parser::WhoisDotmobiregistryNet, "status_registered.expected" do

  subject do
    file = fixture("responses", "whois.dotmobiregistry.net/status_registered.txt")
    part = Whois::Record::Part.new(:body => File.read(file))
    described_class.new(part)
  end

  describe "#disclaimer" do
    it do
      subject.disclaimer.should == "mTLD WHOIS LEGAL STATEMENT AND TERMS & CONDITIONS: The WHOIS service offered by mTLD and the access to the records in the mTLD WHOIS database are provided for information purposes only. It allows persons to check whether a specific domain name is still available or not and to obtain information related to the registration records of existing domain names. mTLD cannot, under any circumstances, be held liable in case the stored information would prove to be wrong, incomplete, or not accurate in any sense.  By submitting a query you agree not to use the information made available to: allow, enable or otherwise support the transmission of unsolicited, commercial advertising or other solicitations whether via email or otherwise; target advertising in any possible way; or to cause nuisance in any possible way to the registrants by sending (whether by automated, electronic processes capable of enabling high volumes or other possible means) messages to them.  Without prejudice to the above, it is explicitly forbidden to extract, copy and/or use or re-utilise in any form and by any means (electronically or not) the whole or a quantitatively or qualitatively substantial part of the contents of the WHOIS database without prior and explicit permission by mTLD, nor in any attempt hereof, or to apply automated, electronic processes to mTLD (or its systems). You agree that any reproduction and/or transmission of data for commercial purposes will always be considered as the extraction of a substantial part of the content of the WHOIS database. By submitting the query you agree to abide by this policy and accept that mTLD can take measures to limit the use of its WHOIS services in order to protect the privacy of its registrants or the integrity of the database."
    end
  end
  describe "#domain" do
    it do
      subject.domain.should == "google.mobi"
    end
  end
  describe "#domain_id" do
    it do
      subject.domain_id.should == "D117-MOBI"
    end
  end
  describe "#status" do
    it do
      subject.status.should == ["CLIENT DELETE PROHIBITED", "CLIENT TRANSFER PROHIBITED", "CLIENT UPDATE PROHIBITED"]
    end
  end
  describe "#available?" do
    it do
      subject.available?.should == false
    end
  end
  describe "#registered?" do
    it do
      subject.registered?.should == true
    end
  end
  describe "#created_on" do
    it do
      subject.created_on.should be_a(Time)
      subject.created_on.should == Time.parse("2006-05-11 21:08:42 UTC")
    end
  end
  describe "#updated_on" do
    it do
      subject.updated_on.should be_a(Time)
      subject.updated_on.should == Time.parse("2013-04-09 09:24:02 UTC")
    end
  end
  describe "#expires_on" do
    it do
      subject.expires_on.should be_a(Time)
      subject.expires_on.should == Time.parse("2014-05-11 21:08:42 UTC")
    end
  end
  describe "#registrar" do
    it do
      subject.registrar.should be_a(Whois::Record::Registrar)
      subject.registrar.id.should           == "292"
      subject.registrar.name.should         == "MarkMonitor Inc."
      subject.registrar.organization.should == "MarkMonitor Inc."
    end
  end
  describe "#registrant_contacts" do
    it do
      subject.registrant_contacts.should be_a(Array)
      subject.registrant_contacts.should have(1).items
      subject.registrant_contacts[0].should be_a(Whois::Record::Contact)
      subject.registrant_contacts[0].type.should         == Whois::Record::Contact::TYPE_REGISTRANT
      subject.registrant_contacts[0].id.should           == "mmr-14290820"
      subject.registrant_contacts[0].name.should         == "DNS Admin"
      subject.registrant_contacts[0].organization.should == "Google Inc."
      subject.registrant_contacts[0].address.should      == "1600 Amphitheatre Parkway"
      subject.registrant_contacts[0].city.should         == "Mountain View"
      subject.registrant_contacts[0].zip.should          == "94043"
      subject.registrant_contacts[0].state.should        == "CA"
      subject.registrant_contacts[0].country_code.should == "US"
      subject.registrant_contacts[0].phone.should        == "+1.6506234000"
      subject.registrant_contacts[0].fax.should          == "+1.6506188571"
      subject.registrant_contacts[0].email.should        == "dns-admin@google.com"
    end
  end
  describe "#admin_contacts" do
    it do
      subject.admin_contacts.should be_a(Array)
      subject.admin_contacts.should have(1).items
      subject.admin_contacts[0].should be_a(Whois::Record::Contact)
      subject.admin_contacts[0].type.should         == Whois::Record::Contact::TYPE_ADMIN
      subject.admin_contacts[0].id.should           == "mmr-14290820"
      subject.admin_contacts[0].name.should         == "DNS Admin"
      subject.admin_contacts[0].organization.should == "Google Inc."
      subject.admin_contacts[0].address.should      == "1600 Amphitheatre Parkway"
      subject.admin_contacts[0].city.should         == "Mountain View"
      subject.admin_contacts[0].zip.should          == "94043"
      subject.admin_contacts[0].state.should        == "CA"
      subject.admin_contacts[0].country_code.should == "US"
      subject.admin_contacts[0].phone.should        == "+1.6506234000"
      subject.admin_contacts[0].fax.should          == "+1.6506188571"
      subject.admin_contacts[0].email.should        == "dns-admin@google.com"
    end
  end
  describe "#technical_contacts" do
    it do
      subject.technical_contacts.should be_a(Array)
      subject.technical_contacts.should have(1).items
      subject.technical_contacts[0].should be_a(Whois::Record::Contact)
      subject.technical_contacts[0].type.should         == Whois::Record::Contact::TYPE_TECHNICAL
      subject.technical_contacts[0].id.should           == "mmr-14290820"
      subject.technical_contacts[0].name.should         == "DNS Admin"
      subject.technical_contacts[0].organization.should == "Google Inc."
      subject.technical_contacts[0].address.should      == "1600 Amphitheatre Parkway"
      subject.technical_contacts[0].city.should         == "Mountain View"
      subject.technical_contacts[0].zip.should          == "94043"
      subject.technical_contacts[0].state.should        == "CA"
      subject.technical_contacts[0].country_code.should == "US"
      subject.technical_contacts[0].phone.should        == "+1.6506234000"
      subject.technical_contacts[0].fax.should          == "+1.6506188571"
      subject.technical_contacts[0].email.should        == "dns-admin@google.com"
    end
  end
  describe "#nameservers" do
    it do
      subject.nameservers.should be_a(Array)
      subject.nameservers.should have(4).items
      subject.nameservers[0].should be_a(Whois::Record::Nameserver)
      subject.nameservers[0].name.should == "ns1.google.com"
      subject.nameservers[1].should be_a(Whois::Record::Nameserver)
      subject.nameservers[1].name.should == "ns2.google.com"
      subject.nameservers[2].should be_a(Whois::Record::Nameserver)
      subject.nameservers[2].name.should == "ns3.google.com"
      subject.nameservers[3].should be_a(Whois::Record::Nameserver)
      subject.nameservers[3].name.should == "ns4.google.com"
    end
  end
end
