# encoding: utf-8

# This file is autogenerated. Do not edit it manually.
# If you want change the content of this file, edit
#
#   /spec/fixtures/responses/whois.register.com/enom/status_registered.expected
#
# and regenerate the tests with the following rake task
#
#   $ rake spec:generate
#

require 'spec_helper'
require 'whois/record/parser/whois.register.com.rb'

describe Whois::Record::Parser::WhoisRegisterCom, "status_registered.expected" do

  subject do
    file = fixture("responses", "whois.register.com/enom/status_registered.txt")
    part = Whois::Record::Part.new(:body => File.read(file))
    described_class.new(part)
  end

  describe "#status" do
    it do
      lambda { subject.status }.should raise_error(Whois::AttributeNotSupported)
    end
  end
  describe "#available?" do
    it do
      subject.available?.should == false
    end
  end
  describe "#registered?" do
    it do
      subject.registered?.should == true
    end
  end
  describe "#created_on" do
    it do
      subject.created_on.should be_a(Time)
      subject.created_on.should == Time.parse("2002-03-14 00:19:48")
    end
  end
  describe "#updated_on" do
    it do
      lambda { subject.updated_on }.should raise_error(Whois::AttributeNotSupported)
    end
  end
  describe "#expires_on" do
    it do
      subject.expires_on.should be_a(Time)
      subject.expires_on.should == Time.parse("2014-03-13 23:19:00")
    end
  end
  describe "#registrar" do
    it do
      subject.registrar.should be_a(Whois::Record::Registrar)
      subject.registrar.id.should           == nil
      subject.registrar.name.should         == "Register.com"
      subject.registrar.url.should          == "http://www.register.com/"
    end
  end
  describe "#registrant_contacts" do
    it do
      subject.registrant_contacts.should be_a(Array)
      subject.registrant_contacts.should have(1).items
      subject.registrant_contacts[0].should be_a(Whois::Record::Contact)
      subject.registrant_contacts[0].type.should         == Whois::Record::Contact::TYPE_REGISTRANT
      subject.registrant_contacts[0].name.should         == "Josh Cramer"
      subject.registrant_contacts[0].organization.should == "Cramer Development"
      subject.registrant_contacts[0].address.should      == "226 S. Clinton Street"
      subject.registrant_contacts[0].city.should         == "Iowa City"
      subject.registrant_contacts[0].zip.should          == "52240"
      subject.registrant_contacts[0].state.should        == "IA"
      subject.registrant_contacts[0].country.should      == nil
      subject.registrant_contacts[0].country_code.should == "US"
      subject.registrant_contacts[0].phone.should        == nil
      subject.registrant_contacts[0].fax.should          == ""
      subject.registrant_contacts[0].email.should        == nil
    end
  end
  describe "#admin_contacts" do
    it do
      subject.admin_contacts.should be_a(Array)
      subject.admin_contacts.should have(1).items
      subject.admin_contacts[0].should be_a(Whois::Record::Contact)
      subject.admin_contacts[0].type.should         == Whois::Record::Contact::TYPE_ADMIN
      subject.admin_contacts[0].name.should         == "Host Master"
      subject.admin_contacts[0].organization.should == "Cramer Development Incorporated"
      subject.admin_contacts[0].address.should      == "226 S Clinton St"
      subject.admin_contacts[0].city.should         == "Iowa City"
      subject.admin_contacts[0].zip.should          == "52245"
      subject.admin_contacts[0].state.should        == "IA"
      subject.admin_contacts[0].country.should      == nil
      subject.admin_contacts[0].country_code.should == "US"
      subject.admin_contacts[0].phone.should        == "+1.5152920050"
      subject.admin_contacts[0].fax.should          == ""
      subject.admin_contacts[0].email.should        == "domains@cramerdev.com"
    end
  end
  describe "#technical_contacts" do
    it do
      subject.technical_contacts.should be_a(Array)
      subject.technical_contacts.should have(1).items
      subject.technical_contacts[0].should be_a(Whois::Record::Contact)
      subject.technical_contacts[0].type.should         == Whois::Record::Contact::TYPE_TECHNICAL
      subject.technical_contacts[0].name.should         == "Host Master"
      subject.technical_contacts[0].organization.should == "Cramer Development Incorporated"
      subject.technical_contacts[0].address.should      == "226 S Clinton St"
      subject.technical_contacts[0].city.should         == "Iowa City"
      subject.technical_contacts[0].zip.should          == "52245"
      subject.technical_contacts[0].state.should        == "IA"
      subject.technical_contacts[0].country.should      == nil
      subject.technical_contacts[0].country_code.should == "US"
      subject.technical_contacts[0].phone.should        == "+1.5152920050"
      subject.technical_contacts[0].fax.should          == ""
      subject.technical_contacts[0].email.should        == "domains@cramerdev.com"
    end
  end
  describe "#nameservers" do
    it do
      subject.nameservers.should be_a(Array)
      subject.nameservers.should have(5).items
      subject.nameservers[0].should be_a(Whois::Record::Nameserver)
      subject.nameservers[0].name.should == "dns01.gpn.register.com"
      subject.nameservers[1].should be_a(Whois::Record::Nameserver)
      subject.nameservers[1].name.should == "dns02.gpn.register.com"
      subject.nameservers[2].should be_a(Whois::Record::Nameserver)
      subject.nameservers[2].name.should == "dns03.gpn.register.com"
      subject.nameservers[3].should be_a(Whois::Record::Nameserver)
      subject.nameservers[3].name.should == "dns04.gpn.register.com"
      subject.nameservers[4].should be_a(Whois::Record::Nameserver)
      subject.nameservers[4].name.should == "dns05.gpn.register.com"
    end
  end
end
